## timelimit 1.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001, 2007  Peter Pentchev
+# Copyright (c) 2001, 2007, 2010  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -22,10 +22,11 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $Ringlet: Makefile 2544 2008-09-03 13:24:36Z roam $
+# $Ringlet: Makefile 5200 2010-06-26 19:23:54Z roam $
 
 CC?=		gcc
 CFLAGS?=		-O -pipe
+CPPFLAGS?=
 LDFLAGS?=
 LFLAGS?=	${LDFLAGS}
 LIBS?=
@@ -75,7 +76,7 @@
 		${CC} ${LFLAGS} -o ${PROG} ${OBJS}
 
 timelimit.o:	timelimit.c config.h
-		${CC} ${CFLAGS} -c timelimit.c
+		${CC} ${CPPFLAGS} ${CFLAGS} -c timelimit.c
 
 ${MAN1GZ}:	${MAN1}
 		gzip -c9 ${MAN1} > ${MAN1GZ}.tmp
