=== debian/changelog ===
timelimit (1.6-1) unstable; urgency=low

  * Bump Standards-Version to 3.9.0 with no changes.
  * Convert to the 3.0 (quilt) source format with no changes.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values
    for CFLAGS, CPPFLAGS, and LDFLAGS.
  * Update the copyright file to the latest revision of the DEP 5 format
    and bump the year on my copyright notice.
  * Shorten the Vcs-Browser URL.
  * New upstream version:
    - actually honor CPPFLAGS :)
    - explicitly pass the new changelog name, NEWS, to dh_installchangelogs

 -- Peter Pentchev <roam@ringlet.net>  Tue, 29 Jun 2010 00:22:32 +0300

timelimit (1.5-1) unstable; urgency=low

  * New upstream release
    - add the -p flag to propagate a termination signal.  Closes: #547452
  * Bump Standards-Version to 3.8.3 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 31 Oct 2009 17:21:26 +0200

timelimit (1.4-2) unstable; urgency=low

  * Refer to GPL-2, not just GPL, in the copyright file.
  * Bump Standards-Version to 3.8.1 with no changes.
  * Add misc:Depends to the binary package.
  * Minimize the rules file using debhelper override targets.
  * Update the copyright years for the Debian packaging.
  * Point to the actual Debian package files in Vcs-Svn and Vcs-Browser,
    not at the full timelimit upstream repository.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 14 Apr 2009 11:13:21 +0300

timelimit (1.4-1) unstable; urgency=low

  * New upstream version
    - fixes the options processing - does not try to parse the options
      passed to the executed program.  Closes: #505140.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 12 Nov 2008 11:31:03 +0200

timelimit (1.3-1) unstable; urgency=low

  * New upstream version
    - returns the child process exit code instead of always exiting
      with 0.  Closes: #494629.
  * Update debian/copyright since the different source files have
    different copyright years now.
  * Add many more warning options to CFLAGS, just in case.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 03 Sep 2008 16:54:36 +0300

timelimit (1.1-3) unstable; urgency=low

  * Fix the watchfile
  * Remove the $Ringlet VCS tags from the watchfile and the rules file
  * Bump standards version to 3.8.0 (no changes)
  * Leave "noopt" and "nostrip" option processing to dpkg-buildpackage
  * Honor the "werror" build option
  * Enable build hardening, disabled by the "nohardening" build option
  * Use debhelper 7 to minimize the rules file
  * Convert the copyright to the machine-parseable format and bump
    the Debian packaging copyright year

  * debian/compat
    - bump the debhelper compatibility level to 7
  * debian/control
    - standards version 3.8.0 (no changes)
    - bump the debhelper dependency to version 7
  * debian/copyright
    - fully convert this file to the machine-parseable format
    - bump the debian/* copyright year
  * debian/rules
    - remove the $Ringlet VCS tag
    - let dpkg-buildpackage handle the "noopt" and "nostrip" options and
      set the default CFLAGS
    - pass -Werror to the C compiler if the non-standard "werror" option
      is set in DEB_BUILD_OPTIONS
    - enable build hardening unless "nohardening" is set in DEB_BUILD_OPTIONS
    - use debhelper 7's "dh" wrapper for most tasks
  * debian/watch
    - remove a blank line so that the first non-comment line is indeed
      the "version" one as uscan requires
    - remove the $Ringlet VCS tag

 -- Peter Pentchev <roam@ringlet.net>  Fri, 18 Jul 2008 14:35:08 +0300

timelimit (1.1-2) unstable; urgency=low

  * Conflict with netpipes (Closes: #457444).

 -- Peter Pentchev <roam@ringlet.net>  Sun, 23 Dec 2007 03:06:56 +0200

timelimit (1.1-1) unstable; urgency=low

  * Initial release (Closes: #453290).

 -- Peter Pentchev <roam@ringlet.net>  Wed, 19 Dec 2007 17:34:32 +0200
