=== debian/control ===
Source: timelimit
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7~)
Standards-Version: 3.9.0
Vcs-Browser: http://svn.ringlet.net/v/ringlet/sysutils/timelimit/trunk/timelimit-pkg/debian/
Vcs-svn: http://svn.ringlet.net/svn/ringlet/sysutils/timelimit/trunk/timelimit-pkg/debian/
Homepage: http://devel.ringlet.net/sysutils/timelimit/

Package: timelimit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: netpipes
Description: Simple utility to limit a process's absolute execution time
 The timelimit utility executes a command and terminates the spawned process
 after a given time with a given signal.  A "warning" signal is sent first,
 then, after a timeout, a "kill" signal, similar to the way init(8) operates
 on shutdown.
