## timelimit 1.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001, 2007, 2010  Peter Pentchev
+# Copyright (c) 2001, 2007, 2010, 2011  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -22,7 +22,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $Ringlet: Makefile 5200 2010-06-26 19:23:54Z roam $
+# $Ringlet$
 
 CC?=		gcc
 CFLAGS?=		-O -pipe
@@ -60,6 +60,8 @@
 CFLAGS+=	-DHAVE_SYSEXITS_H
 # comment this if you do not have the errno.h header file (most systems do)
 CFLAGS+=	-DHAVE_ERRNO_H
+# comment this if you do not have setitimer(2) (most systems do)
+CFLAGS+=	-DHAVE_SETITIMER
 # comment this if you do not have sigaction(2) (most systems do)
 CFLAGS+=	-DHAVE_SIGACTION
 
@@ -87,3 +89,6 @@
 		-${MKDIR} ${DESTDIR}${MANDIR}1
 		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
 		install -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+
+check:		all
+		prove -v t
