=== debian/changelog ===
timelimit (1.8-1) unstable; urgency=low

  * New upstream release
    - supports signal names now.  Closes: #621775
    - needs prove(1) for the test suite, so build-depend on perl
  * Update the copyright file to the latest DEP 5 candidate format.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 13 Apr 2011 16:35:30 +0300

timelimit (1.7-4) unstable; urgency=low

  * After a discussion with George Danchev <danchev@debian.org> and
    Mats Erik Andersson (the maintainer of netpipes), make the binary
    package conflict versioned - the next upload of netpipes will not
    install a timelimit binary, so the conflict will be resolved.
    Thanks a lot to George Danchev and Mats Erik Andersson for
    the discussion and assistance!
  * Add a override for the "conflicts with version" Lintian informational
    message that the above change provokes.
  * Bump Standards-Version to 3.9.2 with no changes.
  * Update the copyright file to the latest DEP 5 candidate format.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 11 Apr 2011 12:08:18 +0300

timelimit (1.7-3) unstable; urgency=low

  * Make the short description start with a lowercase letter.
  * Update the copyright file to the latest DEP 5 candidate format.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Mar 2011 18:29:14 +0200

timelimit (1.7-2) experimental; urgency=low

  * Actually enable the build hardening by default (depend on a hardening
    package) and switch from the hardening-wrapper to hardening-includes.
  * Use := instead of = to optimize some shell invocations in the rules file.
  * Bump the year on my copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 06 Jan 2011 17:33:28 +0200

timelimit (1.7-1) experimental; urgency=low

  * New upstream release:
    - use setitimer(2) for subsecond precision.  Closes: #597824
    - update the years in the copyright file
  * Bump Standards-Version to 3.9.1 with no changes.
  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Switch to bzip2 compression for the Debian tarball.
  * Bump the debhelper compatibility level to 8 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 30 Sep 2010 13:01:11 +0300
