=== debian/control ===
Source: timelimit
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~), hardening-includes, perl
Standards-Version: 3.9.2
Vcs-Git: git://gitorious.org/timelimit/pkg-debian.git
Vcs-Browser: http://gitorious.org/timelimit/pkg-debian
Homepage: http://devel.ringlet.net/sysutils/timelimit/

Package: timelimit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: netpipes (<< 4.2-6)
Description: simple utility to limit a process's absolute execution time
 The timelimit utility executes a command and terminates the spawned process
 after a given time with a given signal.  A "warning" signal is sent first,
 then, after a timeout, a "kill" signal, similar to the way init(8) operates
 on shutdown.
