=== debian/watch ===
version = 3

http://devel.ringlet.net/sysutils/timelimit/ timelimit-([\d\.]*).tar.gz
