## timelimit 1.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001, 2007, 2010, 2011  Peter Pentchev
+# Copyright (c) 2001, 2007, 2010, 2011, 2016  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -21,11 +21,11 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
-#
-# $Ringlet$
 
 CC?=		gcc
+CFLAGS_STD?=	-std=c99
 CFLAGS?=		-O -pipe
+CFLAGS+=	${CFLAGS_STD}
 CPPFLAGS?=
 LDFLAGS?=
 LFLAGS?=	${LDFLAGS}
@@ -45,14 +45,16 @@
 PREFIX?=	${LOCALBASE}
 BINDIR?=	${PREFIX}/bin
 MANDIR?=	${PREFIX}/man/man
+DOCSDIR?=	${PREFIX}/share/doc/timelimit
+EXAMPLESDIR?=	${DOCSDIR}/examples
 
 BINOWN?=	root
 BINGRP?=	wheel
 BINMODE?=	555
 
-MANOWN?=	root
-MANGRP?=	wheel
-MANMODE?=	644
+SHAREOWN?=	root
+SHAREGRP?=	wheel
+SHAREMODE?=	644
 
 # comment this if you do not have err(3) and errx(3) (most BSD systems do)
 CFLAGS+=	-DHAVE_ERR
@@ -87,8 +89,10 @@
 install:	all
 		-${MKDIR} ${DESTDIR}${BINDIR}
 		-${MKDIR} ${DESTDIR}${MANDIR}1
+		-${MKDIR} ${DESTDIR}${EXAMPLESDIR}/tests
 		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
-		install -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
 
 check:		all
 		prove -v t
