=== debian/changelog ===
timelimit (1.8.1-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8:
    - update the copyright file to copyright format 1.0
    - fix the copyright file information about upstream version 1.8
    - drop the DM-Upload-Allowed source control field
  * Bump the debhelper compatibility level to 10:
    - get the build flags (incl. hardening) directly from debhelper
    - drop the hardening-includes build dependency
    - drop the versioned dpkg-dev build dependency for dpkg-buildflags
    - override the Lintian debhelper version warning as it itself suggests
  * Drop the source compression options; dpkg-dev's defaults are good enough.
  * Update the watch file a bit:
    - update it to version 4
    - use pgpmode=auto to let uscan discover the upstream signature by itself
      and add the upstream PGP key to verify against
    - let it check the new /files/ location and also look for *.tar.xz files
  * Update the copyright file a bit:
    - bump the year on my debian/* copyright notice
    - rename the "BSD-2" license to "BSD-2-clause"
    - relicense my debian/* work under the same two-clause BSD license
  * Add the debian/upstream/metadata file.
  * Add Multi-Arch: foreign to the binary package.
  * Point the Vcs-* source control fields and the upstream metadata
    Repository fields to the new GitLab full-source repository and
    use the HTTPS scheme.
  * New upstream release:
    - remove -ansi from the compiler flags, -std=c99 is added upstream now
    - merge the upstream copyright information into a single block
  * Add an autopkgtest suite using the installed tests.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 16 Apr 2016 01:28:15 +0300
