=== debian/watch ===
version = 4

opts=pgpmode=auto \
http://devel.ringlet.net/sysutils/timelimit/ http://devel.ringlet.net/(?:files/sys/timelimit|sysutils/timelimit)/timelimit-([\d\.]*).tar.(?:xz|gz)
