## timelimit 1.8.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001, 2007, 2010, 2011, 2016  Peter Pentchev
+# Copyright (c) 2001, 2007, 2010, 2011, 2016, 2017  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -71,6 +71,13 @@
 #CFLAGS+=	${BDECFLAGS}
 #CFLAGS+=	-ggdb -g3
 
+INSTALL?=	install
+COPY?=		-c
+STRIP?=		-s
+
+INSTALL_PROGRAM?=	${INSTALL} ${COPY} ${STRIP} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
+INSTALL_DATA?=		${INSTALL} ${COPY} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}
+
 all:		${PROG} ${MAN1GZ}
 
 clean:
@@ -90,9 +97,9 @@
 		-${MKDIR} ${DESTDIR}${BINDIR}
 		-${MKDIR} ${DESTDIR}${MANDIR}1
 		-${MKDIR} ${DESTDIR}${EXAMPLESDIR}/tests
-		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
-		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
-		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
+		${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${BINDIR}/
+		${INSTALL_DATA} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+		${INSTALL_DATA} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
 
 check:		all
 		prove -v t
