=== debian/changelog ===
timelimit (1.8.2-1) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.1.1:
    - drop the implicit "Testsuite: autopkgtest" source control header
  * Drop a conflict with a version of netpipes that is not even in
    oldoldstable now.
  * Add "Rules-Require-Root: no" to the source control stanza.
  * New upstream release.
  * Bump the debhelper compatibility level to 11 and the build dependency
    to 10.8~.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 20 Nov 2017 17:37:20 +0200

timelimit (1.8.1-2) unstable; urgency=medium

  * Switch various upstream and Debian URLs to the HTTPS scheme.
  * Use single quotes around an argument that is expanded by make(1),
    not by the shell, in the rules file.
  * Depend on debhelper 10 now that it's even in jessie-backports.
  * Switch back to pgpsigurlmangle in the watch file; pgpmode=auto will
    not detect a missing upstream signature file.
  * Use the v4 substitution variables in the watch file.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 15 Nov 2016 17:16:45 +0200
