=== debian/control ===
Source: timelimit
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 10.8~), perl
Standards-Version: 4.1.1
Vcs-Git: https://gitlab.com/timelimit/timelimit.git -b debian
Vcs-Browser: https://gitlab.com/timelimit/timelimit/tree/debian
Homepage: https://devel.ringlet.net/sysutils/timelimit/
Rules-Requires-Root: no

Package: timelimit
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple utility to limit a process's absolute execution time
 The timelimit utility executes a command and terminates the spawned process
 after a given time with a given signal.  A "warning" signal is sent first,
 then, after a timeout, a "kill" signal, similar to the way init(8) operates
 on shutdown.
