=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,10 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
-	  BINGRP=root SHAREGRP=root
+		INSTALL_PROGRAM='install -m 755' INSTALL_DATA='install -m 644'
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
 %:
-	dh "$@"
+	dh '$@'
