=== debian/tests/control ===
Test-Command: env TIMELIMIT='/usr/bin/timelimit' prove -v /usr/share/doc/timelimit/examples/tests
Depends: @, perl
