## timelimit 1.9.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001, 2007, 2010, 2011, 2016, 2017  Peter Pentchev
+# Copyright (c) 2001, 2007, 2010, 2011, 2016 - 2018  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -26,13 +26,15 @@
 CFLAGS_STD?=	-std=c99
 CFLAGS?=		-O -pipe
 CFLAGS+=	${CFLAGS_STD}
-CPPFLAGS?=
+CPPFLAGS_STD?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700
+CPPFLAGS+=	${CPPFLAGS_STD}
 LDFLAGS?=
 LFLAGS?=	${LDFLAGS}
 LIBS?=
 
 RM=		rm -f
 MKDIR?=		mkdir -p
+CAT?=		cat
 
 PROG=		timelimit
 OBJS=		timelimit.o
@@ -56,17 +58,6 @@
 SHAREGRP?=	wheel
 SHAREMODE?=	644
 
-# comment this if you do not have err(3) and errx(3) (most BSD systems do)
-CFLAGS+=	-DHAVE_ERR
-# comment this if you do not have the sysexits.h header file (most systems do)
-CFLAGS+=	-DHAVE_SYSEXITS_H
-# comment this if you do not have the errno.h header file (most systems do)
-CFLAGS+=	-DHAVE_ERRNO_H
-# comment this if you do not have setitimer(2) (most systems do)
-CFLAGS+=	-DHAVE_SETITIMER
-# comment this if you do not have sigaction(2) (most systems do)
-CFLAGS+=	-DHAVE_SIGACTION
-
 # development/debugging flags, you may safely ignore them
 #CFLAGS+=	${BDECFLAGS}
 #CFLAGS+=	-ggdb -g3
@@ -81,12 +72,49 @@
 all:		${PROG} ${MAN1GZ}
 
 clean:
-		${RM} ${PROG} ${OBJS} ${MAN1GZ}
+		${RM} ${PROG} ${OBJS} ${MAN1GZ} autoconfig.h
 
 ${PROG}:	${OBJS}
 		${CC} ${LFLAGS} -o ${PROG} ${OBJS}
 
-timelimit.o:	timelimit.c config.h
+autoconfig.h:	autoconfig/try-err.c autoconfig/try-errno.c \
+		autoconfig/try-setitimer.c autoconfig/try-sigaction.c \
+		autoconfig/try-sysexits.c \
+		Makefile
+		: > autoconfig.h
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LFLAGS} -o try-err autoconfig/try-err.c; then \
+			echo '#define HAVE_ERR' >> autoconfig.h; \
+		else \
+			echo '#undef HAVE_ERR' >> autoconfig.h; \
+		fi
+		test -f try-err && ${RM} try-err
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LFLAGS} -o try-errno autoconfig/try-errno.c; then \
+			echo '#define HAVE_ERRNO_H' >> autoconfig.h; \
+		else \
+			echo '#undef HAVE_ERRNO_H' >> autoconfig.h; \
+		fi
+		test -f try-errno && ${RM} try-errno
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LFLAGS} -o try-sigaction autoconfig/try-sigaction.c; then \
+			echo '#define HAVE_SIGACTION' >> autoconfig.h; \
+		else \
+			echo '#undef HAVE_SIGACTION' >> autoconfig.h; \
+		fi
+		test -f try-sigaction && ${RM} try-sigaction
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LFLAGS} -o try-setitimer autoconfig/try-setitimer.c; then \
+			echo '#define HAVE_SETITIMER' >> autoconfig.h; \
+		else \
+			echo '#undef HAVE_SETITIMER' >> autoconfig.h; \
+		fi
+		test -f try-setitimer && ${RM} try-setitimer
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LFLAGS} -o try-sysexits autoconfig/try-sysexits.c; then \
+			echo '#define HAVE_SYSEXITS_H' >> autoconfig.h; \
+		else \
+			echo '#undef HAVE_SYSEXITS_H' >> autoconfig.h; \
+		fi
+		test -f try-sysexits && ${RM} try-sysexits
+		${CAT} autoconfig.h
+
+timelimit.o:	timelimit.c config.h autoconfig.h
 		${CC} ${CPPFLAGS} ${CFLAGS} -c timelimit.c
 
 ${MAN1GZ}:	${MAN1}
