=== debian/changelog ===
timelimit (1.9.0-6) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the adequate autopkgtest.
  * Drop the Name and Contact upstream metadata fields.
  * Update to debhelper compat level 13: use execute_after targets.

 -- Peter Pentchev <roam@debian.org>  Sun, 10 May 2020 20:05:35 +0300

timelimit (1.9.0-5) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Use the test-name autopkgtest feature.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 14:54:03 +0200

timelimit (1.9.0-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Jan 2019 17:28:19 +0200

timelimit (1.9.0-3) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.2.1: install the upstream
    release notes (NEWS) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Add a trivial autopkgtest running feature-check on the executable.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Dec 2018 18:51:28 +0200

timelimit (1.9.0-2) unstable; urgency=medium

  * Use my Debian e-mail address.
  * Use the B-D: debhelper-compat (= 11) mechanism.
  * Declare compliance with Debian Policy 4.1.5 with no changes.
  * Add a trivial autopkgtest running adequate on the installed package.

 -- Peter Pentchev <roam@debian.org>  Tue, 17 Jul 2018 14:57:46 +0300

timelimit (1.9.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Build-depend on debhelper 11 and remove the Lintian override.
  * Add the years 2017 and 2018 to my debian/* copyright notice.
  * New upstream release.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 15 Apr 2018 02:15:57 +0300
