=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: timelimit
 Section: utils
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 10.8~), perl
-Standards-Version: 4.1.1
-Vcs-Git: https://gitlab.com/timelimit/timelimit.git -b debian
-Vcs-Browser: https://gitlab.com/timelimit/timelimit/tree/debian
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 13), perl
+Standards-Version: 4.5.0
+Vcs-Git: https://gitlab.com/timelimit/timelimit.git -b debian/master
+Vcs-Browser: https://gitlab.com/timelimit/timelimit/tree/debian/master
 Homepage: https://devel.ringlet.net/sysutils/timelimit/
 Rules-Requires-Root: no
