=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
 		INSTALL_PROGRAM='install -m 755' INSTALL_DATA='install -m 644'
 
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+execute_after_dh_installchangelogs:
+	install -m 644 NEWS debian/timelimit/usr/share/doc/timelimit/
 
 %:
 	dh '$@'
