=== debian/tests/control ===
Test-Command: env TIMELIMIT='/usr/bin/timelimit' prove -v /usr/share/doc/timelimit/examples/tests
Depends: @, perl
Features: test-name=upstream

Test-Command: feature-check timelimit timelimit
Depends: @, feature-check
Features: test-name=feature-check
