## timelimit 1.9.2

=== debian/changelog ===
timelimit (1.9.2-3) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debputy's X-Style: black.
  * Switch to debhelper compat level 14:
    - use X-DH-Compat
    - pass --destdir to dh_auto_install
    - let debhelper handle some dependencies automatically

 -- Peter Pentchev <roam@debian.org>  Tue, 31 Dec 2024 16:50:50 +0200

timelimit (1.9.2-2) unstable; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Mark the feature-check autopkgtest as superficial.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Feb 2024 16:38:57 +0200

timelimit (1.9.2-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.0 with no changes.
  * Add the years 2021 and 2022 to my debian/* copyright notice.
  * Explicitly declare dh-sequence-single-binary as a virtual build
    dependency.
  * New upstream release:
    - update the upstream copyright years
    - allow output to the standard error stream in the autopkgtest

 -- Peter Pentchev <roam@debian.org>  Sat, 01 Jan 2022 21:00:59 +0200
