=== debian/control ===
Source: timelimit
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 perl,
Standards-Version: 4.7.0
X-DH-Compat: 14
Vcs-Git: https://gitlab.com/timelimit/timelimit.git -b debian/master
Vcs-Browser: https://gitlab.com/timelimit/timelimit/tree/debian/master
Homepage: https://devel.ringlet.net/sysutils/timelimit/
X-Style: black

Package: timelimit
Architecture: any
Multi-Arch: foreign
Description: simple utility to limit a process's absolute execution time
 The timelimit utility executes a command and terminates the spawned process
 after a given time with a given signal.  A "warning" signal is sent first,
 then, after a timeout, a "kill" signal, similar to the way init(8) operates
 on shutdown.
