=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,13 @@
 endif
 export DEB_CFLAGS_MAINT_APPEND
 
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
+
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
+	dh_auto_install --destdir '$(CURDIR)/debian/timelimit' -- \
+		PREFIX=/usr MANDIR=/usr/share/man/man \
 		INSTALL_PROGRAM='install -m 755' INSTALL_DATA='install -m 644'
 
 execute_after_dh_installchangelogs:
