=== debian/watch ===
version = 4

opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/sysutils/timelimit/ https://devel.ringlet.net/(?:files/sys/timelimit|sysutils/timelimit)/timelimit-@ANY_VERSION@@ARCHIVE_EXT@
